import { t as definePluginEntry } from "../../plugin-entry-Dgh5bRuw.js";
import { t as buildFalImageGenerationProvider } from "../../image-generation-provider-1_4Hhqwn.js";
import { t as buildFalMusicGenerationProvider } from "../../music-generation-provider-BLCpxj5k.js";
import { t as createFalProvider } from "../../provider-registration-Cg5_NzYs.js";
import { t as buildFalVideoGenerationProvider } from "../../video-generation-provider-B-Cxn3Vr.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image, video, and music generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerMusicGenerationProvider(buildFalMusicGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
